[Task] Move languagelink sidebar sort order from wikibase to operations/mediawiki-config
Closed, ResolvedPublic

Description

Move the interwikiSortOrders setting that is currently defined WikibaseClient.default.php from Wikibase to operations/mediawiki-config. operations/mediawiki-config should set the setting to what the default is now (the four different orders used on Wikimedia projects). The default in Wikibase for interwikiSortOrders should then be empty. The 'sort' option, which refers to an entry in interwikiSortOrders, should continue to default to 'code', which is a special value representing naive sorting by language code.

NOTE: InterwikiSorter.php currently assumes that the interwikiSortOrders has an entry called 'alphabetic'. We should get rid of that and always default to the behavior defined for sort='code'.
NOTE: sortPrepend should be unaffected by this: languages listed there always go first, in the order given.

Some context: T103044: [Bug] Interwiki links for newly created wikis are shown at the bottom of sidebar

JanZerebecki updated the task description. (Show Details)
JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 10:33 AM
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.Sep 1 2015, 10:34 AM
daniel updated the task description. (Show Details)Sep 1 2015, 10:48 AM
daniel set Security to None.
thiemowmde renamed this task from move languagelink sidebar sort order from wikibase to operations/mediawiki-config to [Task] Move languagelink sidebar sort order from wikibase to operations/mediawiki-config.Sep 1 2015, 10:50 AM
thiemowmde updated the task description. (Show Details)

Change 235211 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Remove requirement that an "alphabetic" sort order must be defined

https://gerrit.wikimedia.org/r/235211

Lydia_Pintscher triaged this task as Low priority.Sep 1 2015, 11:37 AM

Change 235211 merged by jenkins-bot:
Remove requirement that an "alphabetic" sort order must be defined

https://gerrit.wikimedia.org/r/235211

daniel added a comment.Sep 7 2015, 2:09 PM

With the two patches above merged, the code should now be agnostic to any specific sort order being defined. So the next steps are:

  • define 'interwikiSortOrders' in the settings file used on the wikimedia cluster.
  • make 'interwikiSortOrders' default to an empty array in WikibaseClient.default.php

I'm not seeing anything here related to MediaWiki-Configuration, so I'm removing that project. Please re-add if I'm wrong.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 19 2015, 12:02 PM
Luke081515 moved this task from Backlog to Working on on the Wikimedia-Site-requests board.
JanZerebecki removed thiemowmde as the assignee of this task.Oct 18 2015, 1:59 AM
JanZerebecki removed a project: Patch-For-Review.
Danny_B moved this task from Unsorted to Move on the Technical-Debt board.Jan 23 2016, 12:17 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 23 2016, 12:17 AM
aude claimed this task.Nov 25 2016, 3:31 PM
aude moved this task from Proposed to Doing on the Wikidata-Former-Sprint-Board board.

Change 323556 had a related patch set uploaded (by Aude):
Move interwiki sorting orders to config

https://gerrit.wikimedia.org/r/323556

Change 323556 merged by jenkins-bot:
Move interwiki sorting orders to config

https://gerrit.wikimedia.org/r/323556

thiemowmde closed this task as Resolved.
thiemowmde moved this task from ready to go to in current sprint on the Wikidata board.